summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicholas T. <Nicholas.TD07@gmail.com>2015-01-15 09:09:41 +1000
committerNicholas T. <Nicholas.TD07@gmail.com>2015-01-15 09:09:41 +1000
commit5cb0ed98d1e5f0119e7871e21948a6b931f14a78 (patch)
tree306af37bf0995597c64ed4bf5741a597952beed7
parentc78277fd8bda5fec87504469afdf121355876006 (diff)
downloadzsh-5cb0ed98d1e5f0119e7871e21948a6b931f14a78.tar.gz
zsh-5cb0ed98d1e5f0119e7871e21948a6b931f14a78.tar.bz2
zsh-5cb0ed98d1e5f0119e7871e21948a6b931f14a78.zip
Fast installation time by shallow copying git repo
Use `--depth=1` to clone just the lastest version rather than every version in git.
-rwxr-xr-xtools/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index a53ac48ab..69213d4a3 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -10,7 +10,7 @@ if [ -d "$ZSH" ]; then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-hash git >/dev/null 2>&1 && env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
+hash git >/dev/null 2>&1 && env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
echo "git not installed"
exit
}